Decline company invitation
curl --request POST \
--url https://app.orgo.space/api/v1/company-invitation/{hash}/decline \
--header 'Content-Type: application/json' \
--data '
{
"email": "james.patterson@example.com",
"firstName": "James",
"lastName": "Patterson",
"message": "Looking forward to seeing you at the meeting.",
"roles": [
"string"
]
}
'import requests
url = "https://app.orgo.space/api/v1/company-invitation/{hash}/decline"
payload = {
"email": "james.patterson@example.com",
"firstName": "James",
"lastName": "Patterson",
"message": "Looking forward to seeing you at the meeting.",
"roles": ["string"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'james.patterson@example.com',
firstName: 'James',
lastName: 'Patterson',
message: 'Looking forward to seeing you at the meeting.',
roles: ['string']
})
};
fetch('https://app.orgo.space/api/v1/company-invitation/{hash}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"company": {
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png"
},
"email": "james.patterson@example.com",
"hash": "a3f8b2c4d6e8f1a3b5c7d9e1f3a5b7c9",
"status": "ACTIVE",
"invitedBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson"
},
"acceptedBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson"
},
"firstName": "James",
"lastName": "Patterson",
"message": "Looking forward to seeing you at the meeting.",
"roles": [
"string"
],
"dateCreated": "2026-01-15T10:30:00+00:00",
"dateExpires": "2026-01-15T10:30:00+00:00",
"dateAccepted": "2026-01-15T10:30:00+00:00",
"role": "ROLE_USER"
}CompanyInvitation
Decline company invitation
Declines a company invitation by hash. Marks the invitation as declined so it can no longer be accepted. Requires an authenticated user. No request body needed.
POST
/
api
/
v1
/
company-invitation
/
{hash}
/
decline
Decline company invitation
Path Parameters
CompanyInvitation identifier
Body
application/json
The new CompanyInvitation resource
Response
CompanyInvitation resource created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

